Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.multiplex
Class MultiplexerPacketHandler

    java.lang.Object
      org.jivesoftware.openfire.multiplex.MultiplexerPacketHandler

    public class MultiplexerPacketHandler

extends Object

IQ packets sent from Connection Managers themselves to the server will be handled by instances of this class.

This class will interact with `ConnectionMultiplexerManager` to create, close or get client sessions.

Author:
  Gaston Dombiak

Constructor Summary
`MultiplexerPacketHandler(String connectionManagerDomain)`

Method Summary
`void` | `handle(org.xmpp.packet.Packet packet)` Process IQ packet sent by a connection manager indicating that a new session has been created, should be closed or that a packet was failed to be delivered.
`void` | `route(Route route)` Processes a route packet that is wrapping a stanza sent by a client that is connected to the connection manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiplexerPacketHandler

    public MultiplexerPacketHandler(String connectionManagerDomain)

Method Detail

### handle

    public void handle(org.xmpp.packet.Packet packet)

  Process IQ packet sent by a connection manager indicating that a new session has been created, should be closed or that a packet was failed to be delivered.

  Parameters:
    `packet` - the IQ packet.

### route

    public void route(Route route)

  Processes a route packet that is wrapping a stanza sent by a client that is connected to the connection manager.

  Parameters:
    `route` - the route packet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.